Welcome

Copyright © 1994 - 2004 Hudson Software (Australia) www.hudsoft.com

Welcome to the WHOS-IN User Manual. Please select the item of interest from the Table of Contents at the left.

Note: The screen shots depicted in this On-Line Manual contain screen captures from Windows XP, and will not exactly match your screen if you are running a different version of Windows (Win98 or higher required).

Who's-In? is a Registered ® trademark of Hudson Software.


Introduction

How many minutes do you think are used each day in your office while your receptionist attempts to locate someone? 5? 10? 20? perhaps even more ! WHOS-IN allows you to see at-a-glance who is In, Out, Busy, when they will be back, contact details, and their Phone / Extension number. All the staff activity information you need - right at your fingertips!

A simple solution for busy office environments running either stand-alone with a receptionist, or multi-user on a Windows compatible LAN. WHOS-IN is the ultimate solution when you need to find someone, and find them FAST! No more searching to find those elusive employees... you will know exactly where they are at all times! The 'Status' of each person may easily be identified by anyone on your Network. Each person controls their own information, and all users have access to this information from a central server.

Suggested uses for WHOS-IN :

  • Sales Reps and Support Staff: Know where they are, and how to contact them.
  • Meetings: Flag yourself (or your colleagues) as Busy and people know instantly you are unavailable.
  • Holidays, Vacation or Sick Leave: If you know someone is away, you don't have to look for them !

Don't just limit WHOS-IN to keeping track of 'people' - you can also use it to track vehicles, laptop computers, mobile phones or just about anything else in your office!


Bug Reports

Yes, we admit it... bugs do happen, and no, we do not call them undocumented features!

No matter how much testing we do, something may be overlooked, and slip through the system unnoticed, or someone is using a setup we have not encountered before.

We encourage you to report bugs, which in turn, will allow us to further improve the software, and most importantly, improve our service to you!

If you come across something that appears to be 'not quite right' please tell us! Email your bug reports to: support@hudsoft.com


Copyright Notice

Programs, screen designs, macro's, associated databases and database formats are COPYRIGHT © 1994 - 2004, Hudson Software, Lvl 2 / 62 Martin Rd. GLEN IRIS Vic 3146 Australia. www.hudsoft.com

Contents may not be reverse engineered or resources separated from the rest of the system, without the written permission of Hudson Software.

Who's-In? is a Registered ® Trademark of Hudson Software.
WYWO is a Registered Trademark of Caliente International.
Microsoft, Access, Windows, MS Mail, MS Schedule+ & MS Exchange are trademarks of Microsoft Corporation.

Any other Trademarks used belong to their respective trademark owners.


License Information

COMMERCIAL VERSION:
Hudson Software grants a license to use WHOS-IN to the original purchaser only, and may not be transferred to a third party.

You have the right to install the server component of WHOS-IN and the associated database on one File Server, or one single user PC (but not both).

WHOS-IN licenses are sold in exact numbers as you require them (with a minimum order of 10 users). Should you wish to increase the number of people in your database from 25 to 30 users (for example), a 10 user 'add-on' license would be required (allowing up to 35 users / items in the database).

Multiple databases on the same server, or on different servers require purchasing of additional WHOS-IN server licenses. Serial number security will prevent remote servers operating without a separate license.

TRIAL PACK / Shareware / Freeware version:
Usage of the 5 user version is unlimited. If you have a small office with 5 or less employees in the database, the software is free to use as long as you like. Should you wish to extend past the 5 user limit, you may then purchase a licensed version (10 users minimum) from your local software reseller, or the Hudson Software web site located at: www.hudsoft.com.

The 5 user version may be installed to multiple file servers for evaluation purposes only.

WHOS-IN updates are supplied FREE for a period of 12 months after initial purchase.

Hudson Software reserves the right to republish any user feedback (from any source) as a client testimonial on our web site.


About Screen

The About Screen displays the following information:

  • The WHOS-IN logo.
  • Contact details.
  • The number of users you are licensed for (User Version).
  • The build number.
  • The build date.
  • Your serial number (blank for 5 user Freeware version).


Change YOUR Status Screen

The Change Status Screen allows you to update YOUR STATUS by selecting a status type (In / Out / Busy etc.) from the drop-down list, or enter a new status type of your own.

You may also enter the time/date you are Due Back and any additional Comments you wish to leave.

If the Administrator has set up any Custom Columns, and allowed you to edit the contents, you can double-click on the VALUE section of the Custom Fields to edit the data.

  • If the Auto Clear Comments option is switched ON (in the Options Screen) and you select IN as your Status, the DueBack & Comments will be erased - even if you have entered information into this area.
  • This screen will NOT change someone else's status ONLY YOUR OWN. To change someone else, you must use the Group Change Screen.


Company Info Screen

The Company Info Screen has been added to assist employees with office policies, and or any other pertinent information that needs to be displayed.

USAGE:
Enter the info you require & press OK to save & exit.


Display Photo Screen

The Display Photo screen allows you to view images of employees (or items). Images are coordinated by your WHOS-IN Administrator.

USAGE:
Select a NAME, and if an image is available, it will be displayed on the right.

Use the 'Size to fit' option to stretch or shrink images to fit the display area.


Group Change Screen

The Group Change Screen allows you to update both your own status, plus the status of other members of a Group - provided that your Access Level is high enough, or the Group has been marked as a 'special' Group by the administrator ( '' Vehicles * '' for example).

To change the status of one or more Group members, you must first select the users from the main screen (using Shift or CTRL + mouse click to select multiple users), then choose the Group Change button to arrive at the Group Change Screen.

USAGE:
Step 1. - Select users from the Main Screen (use CTRL or Shift to select multiple users)

Step 2. Press the Group Change button on the ToolBar (or simply double-click on a single user name) which will display the Group Change Screen below.

Step 3. You may then select a status type (In / Out / Busy etc.) from the drop-down list, or enter a new status type of your own.

Enter the time/date these users are Due Back and any additional Comments you wish to leave then press OK to update the selected user(s).

  • To change your OWN Status, you can use either this screen, or the dedicated Change YOUR Status Screen


Main Screen

This section details the actions available from the Main Screen.
Please select the item of interest from the list below:

ToolBar Buttons

Menu Commands

Group Tabs

Group TreeView

Status Columns

Status Alerts

Alert Others

Message Preview Pane

Status Bar


Alert Others

The Alert Others pane indicates people that have set a Status Alert FOR YOU...
Or, in other words, they want to to know when you return.

This provides useful information, in that if you know someone has been looking for you, you can then give them a call (when you return from Lunch for example).


Group Tabs

USAGE:
Click on the various tabs to view different departments or Groups.

If you click on a Group Tab, and your Access Level allows it, the Group Change Button (above) will be active (colored instead of grayed out). This will allow you to select one or more members of that Group, and change the status of them all in one hit.

The TAB VIEW of Groups is no longer the 'default' view - it has now been replaced by the Group TreeView display. If you prefer the Tab view, you will need to go to the Options Screen and switch OFF the TreeView option.

  • Groups are created, and members assigned to Groups by the WHOS-IN administrator.


Group TreeView

USAGE:
Click on the various nodes to view different departments or Groups.

If you click on a TreeView Node, and your Access Level allows it, the Group Change Button (above) will be active (colored instead of grayed out). This will allow you to select one or more members of that Group, and change the status of them all in one hit.

The TreeView display of Groups is now the 'default' view. If you prefer the Tab view, you will need to go to the Options Screen and switch OFF the TreeView option.

  • Groups are created, and members assigned to Groups by the WHOS-IN administrator.


Menu Items

Most of the Menu Items duplicate commands on the ToolBar, however there are a few that do not have Icons, and are only available thru the Menu. This area lists those commands not covered by the ToolBar Buttons.

File:
New User Setup:
Displays the New User Setup screen.

Commands:
Display Photo:
Shows the Display Photo screen.
Company Info:
Displays the Company Info screen.


Preview Messages Pane

The Preview Messages Pane allows you to quickly determine if you have any messages.

USAGE:
*IF* there are any messages visible in the pane, double click on the Preview Message Pane to display the Preview Message Screen.

Right Click on a message within the Pane to delete a selected message.


Status Alerts

The Status Alerts Pane will alert you when someone else's status changes. For example, when they return from a lunch break...

USAGE:

Select the user or users you want to set alerts for, and DRAG them to the Status Alerts Pane (see below) OR right-click to display the main pop-up menu & select Status Alert.

Initially, the Status and Last Modified fields will be blank. This indicates the users Status has not changed since you created the Alert. Once the users Status DOES change, you will be informed of their current Status, and the Date / Time of the change.

To delete a Status Alert, right-click on the item (in the Status Alerts pane) & select Delete.


Status Bar

The Status Bar is divided into 5 sections:

1. The first section displays various help messages.
2. The second section displays the current path to the database.
3. The third section displays a countdown (in seconds) to the next auto-refresh.
4. The fourth section displays your Access Level.
5. The fifth section displays the System Security Level.


Status Columns

USAGE:
Each column of the WHOS-IN main display area has several primary features:

1. Each column is sizable. Click & Drag the vertical bars between the column headings to resize. You can even HIDE columns by dragging a column separator bar to the left.

2. Column sorting. Click on the column header (Status / Name etc.) to sort. The blue arrow indicates which is the current sort column, and the direction of the arrow indicates the sort type (ascending or descending).

3. Columns may be re-ordered by dragging a column left or right.

To SAVE your column width/order preferences immediately, press the REFRESH BUTTON on the ToolBar.

The column widths and sort options are also automatically saved when you exit the program.

A PopUp Menu of commands is also available when your mouse is over the Status Columns. The PopUp Menu duplicates the commands available from the Main Menu.

  • NOTE: The Last Modified column is displayed in yyyy-mm-dd format to allow the Microsoft ListView control to SORT on this column. It is not possible to display in any other format AND still sort correctly.

New for 2005... You may notice sometimes the Status Icon CHANGES from the standard round button to either a Screen, or a Lock...

The 'Screen' icon indicates that the users screensaver has been triggered - which could have happened for many reasons... Busy, away from the PC, gone to Lunch etc.

The 'Lock' icon indicates the users PC has been 'Locked'. Again, this could be for many reasons...


ToolBar Buttons

This section details the actions taken when pressing the various buttons on the Main Screen.

Find Text Box - allows you to locate Users or Items in the main ListView area based on the currently selected column (indicated by a blue arrow), and highlights entries as you type. The more you enter, the narrower the search.

Change Button - displays the Change Status Screen, and allows you to update YOUR status, enter a Due Back time, and optionally any additional comments.

Group Change Button - displays the Group Change Screen, which allows you to change the status of one or more users in a Group (depending on your access level).

USAGE:
Select the user name(s) from the list, then press the Group Change button.

The Group Change Screen will then be displayed where you can enter the required information.

NOTES:
Global Access (level 2) users can change any user from any group.
Group Managers (level 1) can change any user in a Group they administer.
Normal users (level 0) can only change users if they are a Group Member.

Refresh Button - Immediately scans the database to see if there have been any changes since the last 'refresh'.

NOTE: 'Refreshes' are also automatically performed by WHOS-IN:
1. Whenever the 'Refresh Rate' timer is triggered. (see Options Screen)
2. When returning from any other screen back to the Main Screen.
3. When restoring the screen back to normal size from the TaskBar.

Servers Button - Displays the Remote Servers Screen, which allows you to connect to WHOS-IN databases across a Local Area Network (LAN) or a Wide Area Network (WAN). This enables you to examine the Status of co-workers in Branch Offices, or perhaps a different File Server or location within the same building. The information displayed is coordinated by your WHOS-IN administrator.

New Message Button - Displays the New Message Screen, which allows you to create a short message to one or more users.

USAGE:
Select the Users from the Main Screen you want to send a message to, then press the New Msg button.

Preview Messages Button - Displays the Preview Messages Screen *IF* you have any messages (either incoming, outgoing, or draft).

Home Button - This button is only active when you are connected to a remote database. When active, pressing this button will return you to your 'Home' database.

eMail Button - Creates a Mail Message using your default email program. You may select several users from the main ListView to send an email to multiple people at once.

WYWO Button - Creates a 'While You Were Out Message' to a selected user if you have WYWO running. If you do not have WYWO, you can download a FREE 3 user version from www.hudsoft.com.

NOTE: You can only send select ONE person to send a WYWO message to (unlike regular mail which allows multiple users to be selected).

Options Button - Displays the User Options Screen. Use this area to enter your Phone Extension and other personal preferences such as 'Refresh Rate', Auto Log In etc.

Print Button - Displays the Print Screen and allows you to print a current status list or phone directory listing.

About Button - displays the About Screen, which contains information on the number of users you are licensed for, the build date, your local support center address, and the version number.

Exit Button - Shuts down WHOS-IN and also saves the last Group viewed, screen position, height, width, column widths, column sorting and sort direction into your personal settings area within the database.

Out, Busy & In Change Status Buttons - These buttons have different functions depending on your access level for a particular Group. They are intended for FAST (single mouse-click) status changes. The Change screen will NOT (generally) appear when using these buttons.

There may also be different status change buttons visible (assigned by the WHOS-IN administrator) on the ToolBar (examples above).

If no user / item is selected in the main ListView area, pressing one of the ToolBar buttons will update YOUR status with a single mouse-click. Unlike the Change Button the 'Change Status Screen' does not appear (unless you have the Option switched on), and the update is immediate.

If you have the Auto Clear Comments option switched ON, whenever you change your status to IN, the DueBack & Comments fields will be cleared.

If the Auto Minimize option is switched ON then the screen will immediately shrink down to the toolbar (or SysTray) when you change your status (revealing whatever program you were working on previously).

If one or more users/items are selected in the ListView area of the Main Screen, and the Group Change button is enabled, the ToolBar buttons allow you to change the Status of one or more 'selected' users / items.

Remember… If no user name is selected, choosing the In, Out & Busy buttons will update YOUR status only (not the status of other users)

Return to Main Screen


Forward Message Screen

The Forward Message Screen allows you to 'forward' a message on to a user (or multiple users).

USAGE:

1. Select the TO BUTTON to display the user selection dialog.
2. Choose the recipients for this message.
3. Press the SEND button.


New Message Screen

The New Message Screen allows you to send short, text messages between WHOS-IN users without resorting to using email.

USAGE:

Select the user(s) from the main WHOS-IN screen, then press the NEW MESSAGE button on the toolbar.
or
Press the New Message button on the Main Screen ToolBar to display the New Message Screen, then choose the recipents by selecting the TO button.

Compose your message, and press SEND.

If you are connected to your HOME SERVER, and wish to temporarily SAVE the message (for completion later), press the SAVE button.

NOTE: The SAVE option is not available when connected to a remote server to prevent you saving (without sending) a message into a remote database. If this was allowed, you would not be able to retrieve the 'Draft' message for later completion (unless you were also set up as a user on the remote database).


Reply to Message

The Reply to Message Screen allows you to 'reply' to a message, and optionally to resend it to multiple users.

USAGE:

1. Select the TO BUTTON to display the user selection dialog.
2. Choose the recipients for this message.
3. Press the SEND button.


View Message Screen

The View Message Screen allows you to read incoming messages, send them to other users, edit & save them, or delete them.

NOTE: If you are connected to your HOME SERVER, and wish to temporarily SAVE the message (for completion later), press the SAVE button.

NOTE: The SAVE option is not available when connected to a remote server to prevent you saving (without sending) a message into a remote database. If this was allowed, you would not be able to retrieve the 'Draft' message for later completion (unless you were also set up as a user on the remote database).


New User Setup Screen

The New User Setup screen is displayed either when WHOS-IN is started without a NAME on the command line (e.g. ''\\server\share\path\user.exe'') or, is launched from the File Menu command.

Most network administrators will add WHOS-IN to your Network Logon, so normally there is no need to use this utility, however this is not always the case…

*IF* the network administrator has added WHOS-IN to your network login script, you should NOT add it to the startup folder as well, because it will then attempt to run twice (slowing down your logon procedure). WHOS-IN detects previous instances of itself (with the same user name), thereby preventing unnecessary memory & resource usage, however it is better if this does not happen in the first place.

On occasions it may be desirable to have multiple copies of WHOS-IN running on a single PC (with different user names). For example, a Manager's Personal assistant might have 2 copies running, one for themselves, and the other for the Manager - so that the PA can update the managers status using the managers name.
Alternately, there may be a department with a shared PC that everyone uses. In this case, you might need to have 5 different (named) copies of WHOS-IN running on the same PC at the same time.

You can use the New User Setup utility to create as many Icons (with unique names) as you need.


Options Screen

The Options Screen (General Tab) is used to set your personal preferences. The settings are saved into the database when you press the OK button.

Auto Log In - Sets your status to IN when WHOS-IN starts. If you also have the Auto Clear Comments option checked, then your DueBack and Comments information will also be erased without your intervention.

Auto Log Out - Sets your status to OUT when WHOS-IN is shut down. NOTE: If you are going away on vacation and using a 'Vacation' status (or similar), you should switch this option OFF first, otherwise it will over-ride the Vacation Status, and mark you as OUT.

Auto Clear Comments - Erases your DueBack and Comments information when either you, or someone else, sets your status to IN.

Display ListView items as pop-up ToolTips - If this option is enabled, the contents of each 'cell' in the ListView is displayed as a ToolTip as the mouse pointer moves over each item. This is handy when the columns are narrow, or the contents of a cell are too long to be displayed on screen - indicated by an ellipsis (…).

Display Change Status Screen when selecting the ToolBar OUT button - Enabling this option will force the Change Screen to appear when pressing the Out button (if no user name is highlighted) or the Group Change Screen (if one or more user names are selected on the Main Screen). This has been included as an option to help prevent people leaving the office without letting people know where they are, and when they are due back.

Display Groups in TreeView format - This is the new default display view. If it is switched OFF, then Groups will be displayed in the TAB VIEW (across the top of the Status Column Area).

Refresh Rate - This controls how often WHOS-IN scans the server (looking for updates). The 'timer' is started whenever you return to the Main Screen from one of the other screens, hit the Refresh Button, or restore the screen to normal size from the Windows TaskBar. (A 'refresh' is automatically performed whenever any one of the above tasks is performed - which resets the timer.)

NOTE: A countdown timer to the next auto-refresh is displayed on the lower right hand corner of the main screen (Status Bar).

System Tray / Task Bar - This section controls how WHOS-IN behaves when it is Minimized.

Auto Minimize - Sends WHOS-IN to the Windows TaskBar (or SysTray) whenever you change your status. This in turn displays whatever application was 'behind' WHOS-IN at the time.

Task Bar & System Tray examples. (May look different with your version of Windows)

ToolBar settings allow you to switch between Large & Small Icons, and also display or remove the Text Labels under each icon.

We have used as many Windows 'standard' buttons as possible so most of the functions will already be familiar to you. Once you feel you have come to terms with the unique WHOS-IN buttons (such as the WYWO button), you can save screen space by switching off the Text Labels, and setting the icon size to Small.

ToolBar settings are saved automatically when you press the REFRESH BUTTON or shut down WHOS-IN.


Preview Messages Screen

The Preview Messages Screen allows you to View, Create, Reply, Forward or Delete your messages. This is an expanded view of the Preview Message Pane on the main screen.

USAGE:
Select a message, and press the ToolBar button appropriate for the task required.


Print Screen

The Print Screen allows you to print either a Phone List, or a complete record of all information displayed on screen.

USAGE:
Choose which list you wish to print, Sorting Option, and optionally, which Group you would like to print, then press OK.

NOTE: Because the WHOS-IN database is MS Access format, and is 'open' (not encrypted) it is also possible for you to create your own custom reports (using MS Access).


Servers Screen

The Remote Servers Screen allows you to connect to other WHOS-IN databases on your LAN (Local Area Network), or WAN (Wide Area Network) - assuming you have sufficient network bandwidth.

USAGE:
Select the desired remote server from the list & press OK to connect. This may take a few seconds, depending on the speed of your network, and how busy the remote server is.

When connected to a remote server, the Home Button will become visible. Use this button to return to your 'Home' server after examining the remote data.

The server path is also displayed in section 2 of the status bar to remind you that you are not looking at your 'home' database.

If your name does not exist in the remote database, most of the buttons on the toolbar will be grayed out (preventing you from updating your status in a database that doesn't know about you for example).

If your name does exist in the Remote database (you may be a frequent traveler to another city and need to keep everyone in 2 places updated as to your movements) you will be able to use most of the functions just as though you were looking at your 'Home' server location.

NOTE: The Remote Servers list is updated by your WHOS-IN administrator.


How To...

This section to be updated as necessary.